Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.artifacts
[Java] Interface DependencyResolutionListener

    public interface DependencyResolutionListener

A `DependencyResolutionListener` is notified as dependencies are resolved.

Method Summary
`void` | `afterResolve(ResolvableDependencies dependencies)` This method is called immediately after a set of dependencies are resolved.
`void` | `beforeResolve(ResolvableDependencies dependencies)` This method is called immediately before a set of dependencies are resolved.

Method Detail

### afterResolve

    public void afterResolve(ResolvableDependencies dependencies)

  This method is called immediately after a set of dependencies are resolved.
  Parameters:
    `dependencies` - The set of dependencies resolved.

### beforeResolve

    public void beforeResolve(ResolvableDependencies dependencies)

  This method is called immediately before a set of dependencies are resolved.
  Parameters:
    `dependencies` - The set of dependencies to be resolved.

Gradle API 1.1-rc-1